Common

List the caller's user contacts

GET
/common/user/contact/list

Returns the caller's entire contact list in one response (no pagination, sorting, or filtering).

Authorization

AuthorizationBearer <token>

JWT token to authenticate the request.

In: header

X-Api-Key<token>

API key, sent as a request header.

In: header

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/common/user/contact/list"
{  "result": {    "data": {      "userContacts": [        {          "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",          "name": "Jane Doe",          "email": "jane.doe@example.com",          "sharedWithAccount": true,          "subscriptionUserGuid": "7c9e6679-7425-40de-944b-e07fc1f90ae7"        }      ]    },    "statusCode": 200,    "message": "OK"  },  "origin": "GET https://api.doctavian.com/v1/common/user/contact/list",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "01b7e7c8ebaf7f75712daaa3b8bf21f1",  "userId": "f6e7aff4-f619-49bb-8e33-1132e4764168"}
{  "error": {    "innerErrors": [      {        "code": "VALIDATION_ERROR",        "message": "Name is required.",        "userMessage": "Name is required."      }    ],    "message": "One or more validation errors occurred.",    "statusCode": 401  },  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "987b23b64440e8b31775479f75ccd951",  "origin": "GET https://api.doctavian.com/v1/common/user/contact/list",  "userId": "ca04162a-8da9-41ee-aa8e-19396bc341be"}
{  "error": {    "innerErrors": [      {        "code": "VALIDATION_ERROR",        "message": "Name is required.",        "userMessage": "Name is required."      }    ],    "message": "One or more validation errors occurred.",    "statusCode": 403  },  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "deef78d5c7188da42a76017644f95c73",  "origin": "GET https://api.doctavian.com/v1/common/user/contact/list",  "userId": "2a0ab911-5caa-4de7-952d-ba97059b96e8"}
{  "error": {    "innerErrors": [      {        "code": "FUNCTION_EXECUTION_ERROR",        "message": "An unexpected error occurred while processing the request.",        "userMessage": "Something went wrong. Please contact support."      }    ],    "message": "An unexpected error occurred while processing the request.",    "statusCode": 500  },  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "bc723629df207261731cf9b60221786a",  "origin": "GET https://api.doctavian.com/v1/common/user/contact/list",  "userId": "d686df9e-d9dd-45d7-8fc2-92e9e4057824"}